/************************************************/
/*						*/
/*      Copyright:				*/
/*	 Jean-Marc Pigeon <jmp@safe.ca>	 2009	*/
/*						*/
/************************************************/
/* This program is free software; you can 	*/
/* redistribute it and/or modify it under the 	*/
/* terms of the GNU General Public License as	*/
/* published by the Free Software Foundation	*/
/* version 2 of the License			*/
/*						*/
/* This program is distributed in the hope that */
/* it will be useful, but WITHOUT ANY WARRANTY; */
/* without even the implied warranty of		*/
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR	*/
/* PURPOSE.  See the GNU General Public License	*/
/* for more details.				*/
/*						*/
/* You should have received a copy of the GNU	*/
/* General Public License along with this 	*/
/* program; if not, write to the Free Software	*/
/* Foundation, Inc., 51 Franklin Street,	*/
/* Fifth Floor, Boston, MA  02110-1301, USA.	*/
/************************************************/
/*						*/
/*	Define module level routines to check	*/
/*	at clement level if usr is existing or	*/
/*	not.					*/
/*						*/
/************************************************/
#ifndef MNGUSR
#define MNGUSR
#include	"lvleml.h"

/*Check RCPT request format			*/
#define	RCPTRQST	"%s %s %s %lu %s %s %d"

extern int usr_isexisting(CHKTYP *checker,char *caller,RCPTMSG *rm);
extern void usr_rqstadv(CHKTYP *checker,char *msgref,char *msg,
			int num,int slice);
extern void usr_tobesent(CHKTYP *checker,char *msgref,char *msg,char *head);
#endif
